Package org.eclipse.cdt.core.index.provider

# Interface IIndexProvider

All Known Subinterfaces:
  `IReadOnlyPDOMProvider`

public interface IIndexProvider
An IIndexProvider implementation provides additional indexing information for CDT projects This interface only exists to hold commonality from sub-interfaces.

Since:
  4.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`providesFor(ICProject project)`
This method is called to attach the index provider to the project specified.

## Method Details

### providesFor

boolean providesFor(ICProject project) throws org.eclipse.core.runtime.CoreException
This method is called to attach the index provider to the project specified. If the provider determines that it doesn't and will never provide indexes for the specified project, then it should return false to opt-out of being queried for that project.

The method will only be called once per project per eclipse session. This method will be called when a project is deleted and a new project of the same name added. It also may be called lazily (at the point of first logical index use).

Parameters:
  `project` -
Throws:
  `org.eclipse.core.runtime.CoreException`